# $Revision: 1.72.2.6 $, $Date: 2006/12/20 10:36:41 $
#
# Conditional build:
%bcond_without	authother	# without auth other support
%bcond_without	mysql		# without MySQL support
%bcond_without	ldap		# without LDAP support
%bcond_without	perl		# without perl support
%bcond_without	pam		# without pam support
%bcond_without	pgsql		# without PostgreSQL support
%bcond_without	ssl		# without ssl support
%bcond_without	whoson		# without WHOSON protocol support
%bcond_without	gdbm		# without gdbm auth db
%bcond_without	snide		# without snide server responses
%bcond_with	skipgetpwcheck	# with getpwuid returned struct check ommited (see patch for details)
#
Summary:	POP3 server
Summary(pl):	Serwer POP3
Name:		tpop3d
Version:	1.5.3
Release:	29
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.ex-parrot.com/~chris/tpop3d/%{name}-%{version}.tar.gz
# Source0-md5:	dd920c49f4e5879eb3caf7ea047622e9
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.conf
Patch0:		%{name}-ac_am_fixes.patch
Patch1:		%{name}-cvs20060630.patch
Patch2:		%{name}-resolv.patch
Patch3:		%{name}-pam-vdomain.patch
Patch4:		%{name}-sql-getpwuid-optional.patch
Patch5:		%{name}-loglevel.patch
URL:		http://www.ex-parrot.com/~chris/tpop3d/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gdbm:BuildRequires:	gdbm-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_pam:BuildRequires:		pam-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_whoson:BuildRequires:	whoson-devel}
Requires(post,preun):	/sbin/chkconfig
Requires:	pam >= 0.79.0
Requires:	rc-scripts
%if %{with perl}
BuildRequires:	perl-devel
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
%endif
Provides:	pop3daemon
Obsoletes:	courier-imap-pop3
Obsoletes:	imap-pop
Obsoletes:	imap-pop3
Obsoletes:	pop3daemon
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d
Obsoletes:	solid-pop3d-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tpop3d is yet-another-pop3-server. The intention has been to write a
server which is fast, extensible, and secure. `Extensible' is used
specifically in the context of new authentication mechanisms and
mailbox formats. Presently the distribution supports the following
authentication mechanisms:
- auth_pam - uses Pluggable Authentication Modules
- auth_passwd - /etc/passwd (and optionally /etc/shadow)
- auth_mysql - a vmail-sql style MySQL database; see
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_pgsql - uses PostgreSQL database
- auth_other - an external program
- auth_perl - embedded perl subroutines

The latter four options provide virtual domain support; the first two
are designed to authenticate local (Unix) users.

The following mailbox formats are supported:
- bsd - for BSD (`Unix') mailspools
- maildir - Qmail-style maildirs
- empty - null driver

tpop3d implements an optional metadata caching scheme for BSD
mailspools, which offers improved performance in cases where many
users leave large numbers of messages on the server between sessions.

%description -l pl
tpop3d to jeszcze-jeden-serwer-pop3. Intencj byo napisanie serwera,
ktry jest szybki, rozszerzalny i bezpieczny. `Rozszerzalny' jest tu
uyte w kontekcie formatw skrzynek. Obecnie pakiet dystrybucyjny
wspiera nastpujce mechanizmy autentykacji:

- auth_pam - uywa Wymiennych Moduw Autentykacji (PAM)
- auth_passwd - /etc/passwd (i opcjonalnie /etc/shadow)
- auth_mysql - baza MySQL w stylu vmail-sql ; obejrzyj
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_pgsql - baza PostgreSQL
- auth_other - zewntrzny program
- auth_perl - zakorzenione podprogramy Perla

Ostatnie cztery opcje pozwalaj wspiera wirtualne domeny; pierwsze
dwie za s stworzone by autentykowa lokalnych (uniksowych)
uytkownikw.

Wspierane s nastpujce formaty skrzynek:
- bsd - dla kolejkowych skrzynek w stylu BSD (`Unix')
- maildir - format maildir znany z Qmail
- empty - pusty sterownik

tpop3d implementuje opcjonalne zapamitywanie (caching) meta-danych
dla skrzynek BSD, ktre znacznie poprawia wydajno w przypadku, gdy
wielu uytkownikw zostawia du liczb wiadomoci na serwerze
pomidzy sesjami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if %{with skipgetpwcheck}
%patch4 -p0
%endif
%patch5 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-mbox-bsd-save-indices \
	--with-mailspool-directory=/var/mail \
	--enable-shadow-passwords \
%{!?with_pam:	--disable-auth-pam} \
%{?with_ldap:	--enable-auth-ldap} \
%{?with_mysql:	--enable-auth-mysql} \
%{?with_whoson:	--enable-whoson} \
%{?with_perl:	--enable-auth-perl} \
%{?with_pgsql:	--enable-auth-pgsql} \
%{?with_gdbm:	--enable-gdbm} \
%{?with_authother:	--enable-auth-other} \
	--enable-mbox-maildir \
%{?with_ssl:	--enable-tls} \
%{!?with_snide:	--disable-snide-comments} \
	--enable-auth-flatfile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{pam.d,security,rc.d/init.d},%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/tpop3d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tpop3d
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT/etc/security/blacklist.pop3

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README* TPOP3D-AuthDriver scripts FAQ CHANGES CREDITS TODO PORTABILITY
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/tpop3d}
%{?with_pam:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.pop3}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tpop3d.conf
%attr(754,root,root) /etc/rc.d/init.d/tpop3d
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tpop3d.spec,v $
Revision 1.72.2.6  2006/12/20 10:36:41  adamg
- release 29 (rebuild against postgresql-8.2)

Revision 1.72.2.5  2006/06/30 12:11:33  arekm
- ups

Revision 1.72.2.4  2006/06/30 11:15:51  arekm
- rel 27; up to latest snap

Revision 1.72.2.3  2006/06/28 18:15:09  arekm
- rel 26

Revision 1.72.2.2  2006/06/25 20:59:32  arekm
- rel 25; really use poll when available

Revision 1.72.2.1  2006/06/22 17:55:54  arekm
- rel 24; poll based socket watching

Revision 1.72  2006/03/27 12:41:17  glen
- rel 23 (libmysqlclient_15)

Revision 1.71  2006/03/13 23:14:32  glen
- use %service

Revision 1.70  2006/01/24 13:52:28  arekm
- rel 22; logout messages treated on the same level as begin messages

Revision 1.69  2006/01/24 13:42:07  arekm
- updated cvs patch; rel 21

Revision 1.68  2006/01/17 15:49:56  baggins
- release 20
- BR openldap 2.3

Revision 1.67  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.66  2005/12/09 08:54:14  arekm
- rel 19; delete maildirsize file if it exists and there were some changes done by tpop3d to maildir

Revision 1.65  2005/11/03 11:05:19  ciesiel
- fix net_loop error
- rel. 18

Revision 1.64  2005/10/26 10:09:57  arekm
- rel 17; up to 20051026

Revision 1.63  2005/08/22 20:03:46  arekm
- rel 16; new cvs patch

Revision 1.62  2005/07/21 23:59:42  romke
- added bcond skipgetpwcheck - it allows using uids (in {my,pg}sql virtual
  users) that don't belong to any system user (when getpwuid returns NULL)

Revision 1.61  2005/07/21 23:37:09  romke
- added bcond without snide that allows to disable snide comments

Revision 1.60  2005/05/12 13:32:56  baggins
- release 15
- req pam 0.79

Revision 1.59  2005/02/12 22:50:00  arekm
- rel ++

Revision 1.58  2004/12/07 23:24:50  heretyk
- added patch that introduces a config file option to allow disabling
  dotfile-locking

Revision 1.57  2004/11/20 20:40:17  radek
- crap... strict DynaLoader req only if with perl bcond

Revision 1.56  2004/11/20 20:37:11  radek
- release 13: require DynaLoader in version available at build time

Revision 1.55  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.54  2004/10/29 13:47:41  paladine
- spelling fixes

Revision 1.53  2004/10/05 12:27:13  arekm
- rel 12; outlook workarounds from upstream; sha1 support

Revision 1.52  2004/09/23 18:25:04  arekm
- don't commit such patches, I've told you it's wrong

Revision 1.51  2004/09/23 15:17:18  yossa
- space to tab :/

Revision 1.50  2004/09/23 15:16:40  yossa
- spaces to tab in Patch5

Revision 1.49  2004/09/23 15:13:51  yossa
- rel 11
- added a patch which fixes race condition with Microsoft Outlook

Revision 1.48  2004/08/19 21:58:06  arekm
- rel 10
- update cvs patch from 20040819
- enabling postgresql broke build - fixed now (mysql and postgresql were overlaping)

Revision 1.47  2004/08/13 11:01:24  kosmo
- enabled auth_pgsql
- release 9
- STBR

Revision 1.46  2004/07/26 10:05:00  marcus
- oh.. rel.8. for Ac, rel.7 will be for RA-branch

Revision 1.45  2004/07/26 10:04:25  marcus
- rel.7.

Revision 1.44  2004/07/17 20:30:32  aredridel
- added pam-vdomain patch
- STBR

Revision 1.43  2004/04/15 19:40:21  qboosh
- added resolv patch (fixes build on amd64); release 6

Revision 1.42  2004/04/13 14:25:22  adamg
- release 5 to rebuild with new openldap

Revision 1.41  2004/04/09 10:09:00  arekm
- fixes from cvs (including workaroung for Outlook)

Revision 1.40  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.39  2004/02/15 13:21:49  eothane
- bcond style, changelog cleanups

Revision 1.38  2004/02/12 13:46:22  kosmo
- small fix
- release 4

Revision 1.37  2004/02/10 10:48:08  arekm
- enable caching bsd mailboxes

Revision 1.36  2004/01/28 20:04:59  arekm
- make enable-whoson config working

Revision 1.35  2004/01/17 21:28:00  domelu
- release 2 to rebuild with ac

Revision 1.34  2003/11/25 20:14:03  areq
- 1.5.3

Revision 1.33  2003/09/26 14:26:00  baggins
- release 2

Revision 1.32  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.31  2003/09/07 19:29:54  areq
- 1.5.2

Revision 1.30  2003/09/02 06:50:52  arekm
- fork fixes from tpop3d cvs

Revision 1.29  2003/08/20 10:54:44  areq
- 1.5.1

Revision 1.28  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.27  2003/07/19 12:35:26  areq
- up to 1.5.1 pre CVS snapshot 2003-07-18 (tls support)
- more bconf

Revision 1.26  2003/07/09 07:10:42  baseciq
- removed one \t (needed to do this to build spec on rpm-4.1-15.1

Revision 1.25  2003/05/28 13:02:19  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/28 18:18:04  kloczek
- proper using %%{_sysconfdir} macro.

Revision 1.22  2003/04/28 14:30:03  mick3y
- added flatfile authentication

Revision 1.21  2003/04/10 14:50:36  jack
- added minimal nasty config file
- release 4

Revision 1.20  2003/04/10 14:34:35  jack
- Added 3 bconds:
	--without ldap
	--without mysql
	--without whoson

Revision 1.19  2003/02/22 12:41:12  mick3y
- requires kernel-headers go to glibc-devel

Revision 1.18  2003/02/20 14:11:56  mick3y
- build requires kernel-headers

Revision 1.17  2002/12/17 12:32:58  baseciq
- added some interesting documentation
- rel. 3

Revision 1.16  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/09/29 09:19:17  misiek
- fix flat auth

Revision 1.14  2002/06/28 13:53:03  misiek
- updated to 1.4.2 + added whoson support

Revision 1.13  2002/06/09 13:59:49  qboosh
- Obsoletes: imap-pop3, courier-imap-pop (tpop3d supports both mbox and maildir)
- new %%doc
- release 2

Revision 1.12  2002/05/21 23:14:51  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/17 06:16:08  kloczek
- cosmetics.

Revision 1.10  2002/05/16 18:59:40  misiek
- updated to 1.4.1 and enabled openldap

Revision 1.9  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.4  2001/12/02 00:13:01  kloczek
- changed Requires rule to Prereq for rc-scripts.

Revision 1.3  2001/11/30 04:08:45  siefca
- version 1.3.5
- modified patch (removed configure stuff)
- added --enable-shadow-passwords to configure invocation
- added polish translation of the package description
- added spec's post and preun sections with chkconfig and autorestart features
- fixed initscript

Revision 1.2  2001/08/01 17:20:34  kloczek
- added rc-scripts to Requires,
- added ac_am_fixes patch and regenerate ac/am files (now tpop3d is ac
  2.5x ready and removed linking with libnsl),
- added loger %description (borowed from README),
- added URL.

Revision 1.1  2001/08/01 12:12:34  waszi
- added
